Subject: [VCARDDAV] [Technical Errata Reported] RFC6350 (3199)

From: RFC Errata System <[email-masked]>
Date: Mon, 23 Apr 2012 20:44:04 -0700 (PDT)

The following errata report has been submitted for RFC6350,
"vCard Format Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3199

--------------------------------------
Type: Technical
Reported by: Larry Masinter <[email-masked]>

Section: 3.1 and 10.1

Original Text
-------------
In Section 3.1:

  It is invalid to specify a value other than "UTF-8" in the
   "charset" MIME parameter (see Section 10.1).

In Section 10.1:

      "charset": as defined for text/plain [RFC2046]; encodings other
      than UTF-8 [RFC3629] MUST NOT be used.

Corrected Text
--------------
(none, delete both sentences)

Notes
-----
There is no "charset" parameter for text/vcard. Perhaps there used to be one, but it isn't listed and would serve no purpose if it did. Since there is no parameter, advice about its value is inappropriate.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6350 (draft-ietf-vcarddav-vcardrev-22)
--------------------------------------
Title               : vCard Format Specification
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Simon Perreault <[email-masked]>
Date: Tue, 24 Apr 2012 08:42:58 -0400

On 2012-04-23 23:44, RFC Errata System wrote:
> There is no "charset" parameter for text/vcard.
> Perhaps there used to be one, but it isn't listed

It is listed, but there is a mistake: on the same line as "Optional 
parameters:" there is "version", which should simply be removed.

    Optional parameters:  version

       The "version" parameter is to be interpreted identically as the
       VERSION vCard property.  If this parameter is present, all vCards
       in a text/vcard body part MUST have a VERSION property with value
       identical to that of this MIME parameter.

> and would serve no purpose if it did.

I think backwards compatibility was the primary reason for including it.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Larry Masinter <[email-masked]>
Date: Tue, 24 Apr 2012 06:50:08 -0700

Sorry, I accept the correction.